# POST /api/v1/app/{appId}/env

**Create environment**

## Create Environment
Creates a new Stackhawk Environment for this application.

This is represented as a StackHawk Application with populated `env` and `envId` fields.

Applications group scan results from HawkScan, and coordinate settings to influence HawkScan behavior. The application may also contain a specific environment name and id.
For more information, see [Applications](https://docs.stackhawk.com/web-app/applications.html).

| Parameter | Default | Description |
|:---:|:---:|:---:|
|applicationId|""|The UUID identifier of this application.|
|name|""|The name of this application.|
|env|""|The name of this environment. Only set when requesting Application Environments.|
|envId|""|The UUID identifier of this environment.|
|applicationStatus|"ACTIVE"|The status of this application. Either ACTIVE or ENV_INCOMPLETE.|
|organizationId|""|The UUID identifier of the organization that owns this application.|
|applicationType|"STANDARD"|The type of this application.|
|cloudScanTarget|{}|Optional Cloud Scan Target configuration.|

> 👥 Teams Supported
> If the user belongs to a StackHawk [Team](https://docs.stackhawk.com/web-app/teams.html), a created environment will belong to the user's Team.

> 🧾 Audited
> This is recorded as `ENVIRONMENT_ADDED` [User Activity](https://apidocs.stackhawk.com/reference/listauditactivity#user-activity-types).

> Requires `write:application` permission.

## Parameters

- `appId` (in: path, string<uuid>) *(required)* — UUID identifier for this StackHawk Application.
- `host` (in: query, string) — Optional host URL for the new environment's default hosted scan configuration.

## Request Body

### application/json

- `applicationId` (string) — The UUID identifier of this application.
- `env` (string) — The name of this new environment.
- `organizationId` (string) — The UUID identifier of the organization that will own this environment.

## Responses

### 200 — Applications group scan results from HawkScan, and coordinate settings to influence HawkScan behavior. The application may also contain a specific environment name and id. For more information, see [Applications](https://docs.stackhawk.com/web-app/applications.html).

#### application/json

- `applicationId` (string) — The UUID identifier of this application.
- `applicationStatus` (string) — The status of this application. Either ACTIVE or ENV_INCOMPLETE.
- `applicationType` (string) — The type of this application.
- `cloudScanTarget` (application.CloudScanTarget)
  - `isDomainVerified` (boolean) — Indicates if the domain is verified or not.
  - `targetURL` (string) — The target URL.
- `dataType` (string) — The perceived dataType of this application. Currently unused.
- `env` (string) — The name of this environment. Only set when requesting Application Environments.
- `envId` (string) — The UUID identifier of this environment.
- `name` (string) — The name of this application.
- `organizationId` (string) — The UUID identifier of the organization that owns this application.
- `riskLevel` (string) — The perceived riskLevel of this application. Currently unused.

#### application/x-protobuf

- `applicationId` (string) — The UUID identifier of this application.
- `applicationStatus` (string) — The status of this application. Either ACTIVE or ENV_INCOMPLETE.
- `applicationType` (string) — The type of this application.
- `cloudScanTarget` (application.CloudScanTarget)
  - `isDomainVerified` (boolean) — Indicates if the domain is verified or not.
  - `targetURL` (string) — The target URL.
- `dataType` (string) — The perceived dataType of this application. Currently unused.
- `env` (string) — The name of this environment. Only set when requesting Application Environments.
- `envId` (string) — The UUID identifier of this environment.
- `name` (string) — The name of this application.
- `organizationId` (string) — The UUID identifier of the organization that owns this application.
- `riskLevel` (string) — The perceived riskLevel of this application. Currently unused.

### 400 — Bad Request

- (no body)

### 401 — Unauthorized

- (no body)
